module Main where

import System.FilePath
import Text.Pandoc.Readers
import Text.Pandoc
import System.IO as SIO
import Data.Text as T
import Data.Text.IO as TIO

getExtension :: FilePath -> String
getExtension = takeExtension

file :: String
file = "files/super-test.md"

main :: IO ()
main = do
  let ext = takeExtension file
  content <- SIO.readFile file
  result <- runIO $
    case ext of
      ".md" -> readMarkdown def $ T.pack content
  rst <- handleError result
  print rst
